libetonyek::KEY2XMLContextBase< Base > Class Template Reference documentation

Public Member Functions | Private Types | List of all members
libetonyek::KEY2XMLContextBase< Base > Class Template Reference

`#include <KEY2XMLContextBase.h>`

Inheritance diagram for libetonyek::KEY2XMLContextBase< Base >:

## Public Member Functions
| KEY2XMLContextBase (KEY2ParserState &state)
template<typename T>
| KEY2XMLContextBase (KEY2ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >
| IWORKXMLContextBase (KEY2ParserState &state)
| IWORKXMLContextBase (KEY2ParserState &state, const T &a)
KEY2ParserState & | getState ()
| IWORKXMLContextBase (KEY2ParserState &state)
| IWORKXMLContextBase (KEY2ParserState &state, const T &a)
KEY2ParserState & | getState ()

## Private Types
typedef IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector > | Parent_t

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >
KEYCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
KEYCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, KEY2ParserState, KEYCollector >
KEY2ParserState & | m_state
KEY2ParserState & | m_state

## Member Typedef Documentation

## ◆ Parent_t

template<class Base>

typedef IWORKXMLContextBase<Base, KEY2ParserState, KEYCollector> libetonyek::KEY2XMLContextBase< Base >::Parent_t
| private

## Constructor & Destructor Documentation

## ◆ KEY2XMLContextBase() [1/2]

template<class Base>

libetonyek::KEY2XMLContextBase< Base >::KEY2XMLContextBase | ( | KEY2ParserState & | state | ) |
| inlineexplicit

## ◆ KEY2XMLContextBase() [2/2]

template<class Base>
template<typename T>

libetonyek::KEY2XMLContextBase< Base >::KEY2XMLContextBase | ( | KEY2ParserState & | state,
|  | const T & | a )
| inline

The documentation for this class was generated from the following file:

- KEY2XMLContextBase.h